Loading...
Searching...
No Matches
LeafTopologyIntOp< TreeType1, TreeType2 > Class Template Reference

Functor for use with tools::foreach() to compute the boolean intersection between the value masks of corresponding leaf nodes in two trees. More...

`#include <openvdb/util/Util.h>`

## Public Member Functions

| LeafTopologyIntOp (const TreeType2 &tree)
void | operator() (const typename TreeType1::LeafIter &lIter) const

## Detailed Description

template<class TreeType1, class TreeType2>
class openvdb::v10_0::util::LeafTopologyIntOp< TreeType1, TreeType2 >

Functor for use with tools::foreach() to compute the boolean intersection between the value masks of corresponding leaf nodes in two trees.

## Constructor & Destructor Documentation

## LeafTopologyIntOp()

template<class TreeType1, class TreeType2>

LeafTopologyIntOp | ( | const TreeType2 & | tree | ) |

inline

## Member Function Documentation

## operator()()

template<class TreeType1, class TreeType2>

void operator() | ( | const typename TreeType1::LeafIter & | lIter | ) | const

inline